<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="/bower_components/iron-icon/iron-icon.html">
<link rel="import" href="/bower_components/iron-icons/iron-icons.html">
<link rel="import" href="/bower_components/relative-time/relative-time.html">
<link rel="import" href="/bower_components/nebula-dispatch/nebula-dispatch.html">
<link rel="import" href="../authentication-manager/authentication-manager.html">
<link rel="import" href="../toast-manager/toast-manager.html">

<!--
`<shifter-info-entry>` is not documented properly yet
-->
<dom-module id="shifter-info-entry">
  <template>
    <link rel="stylesheet" href="shifter-info-entry.css?__inline=true">
    <style include="l1page-theme"></style>

    <div container>
      <header>
        <p new>New!</p>
        <h3>[[entry.SECTION]]</h3>
        <p>type: [[entry.TYPE]]</p>
        <span></span>
        <paper-icon-button error icon="create" on-click=edit hide$="[[!_canDelete(entry, userInfo)]]"></paper-icon-button>
        <paper-icon-button error icon="delete-forever" on-click=delete hide$="[[!_canDelete(entry, userInfo)]]"></paper-icon-button>
        <p>[[entry.AUTHOR]]</p>
        <p><relative-time time=[[entry.TIMESTAMP]] input-timezone=UTC output-format=fromNow></relative-time></p>

      </header>
      <div id="message_container">

      </div>
    </div>

    <slot></slot>
  </template>
</dom-module>

<script src="shifter-info-entry.js?__inline=true"></script>
